#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef long double ld;

ll x[100005];

int main(){
    ios_base::sync_with_stdio(false), cin.tie(0);
    cout.precision(10);
    cout << fixed;

	int n, st;
	cin >> n >> st;
	for(int i=1; i<=n; i++){
        cin >> x[i];
	}
	sort(x+1, x+1+n);
	if(st <= x[1]){
        cout << x[n]-st;
        return 0;
	}
	if(st >= x[n]){
        cout << st-x[1];
        return 0;
	}
	cout << x[n]-x[1] + min(st-x[1], x[n]-st);
    return 0;
}